
QGIS Application - Feature request #4795

Integrate connection manager

2012-01-12 09:19 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Pull Request or Patch supplied:No Resolution: wontfix

Easy fix?: No Copied to github as #: 14650

Description

Once the plugin is in master, I think having two different dialogs, one for connection and one for manager, is cumbersome. Better integrate

all

Related issues:

Duplicated by QGIS Application - Feature request # 7787: Add create and conne... Rejected 2013-05-09

History

#1 - 2013-01-18 01:34 AM - Giovanni Manghi

- Project changed from 27 to QGIS Application

#2 - 2013-01-18 01:37 AM - Giovanni Manghi

- Category set to DB Manager

#3 - 2013-01-18 01:43 AM - Giovanni Manghi

- Assignee deleted (Giuseppe Sucameli)

#4 - 2015-12-07 07:38 AM - Médéric RIBREUX

- Status changed from Open to Feedback

hello, bug triage...

I think this is implemented now in QGIS (master and previous). I mean, you define connections with the databases providers and they are available directly

into DBManager.

Can we close this feature request ?

#5 - 2015-12-07 07:41 AM - Paolo Cavallini

Not really: they are different, and both are needed. A complete integration will make the old one useless, so it can be removed.

Thanks for the cleanup!

#6 - 2016-11-21 10:53 PM - Paolo Cavallini

See also notes in #11604

#7 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
#8 - 2018-02-23 06:06 PM - Paolo Cavallini

- Resolution set to wontfix

- Status changed from Feedback to Closed

I believe this is not important currently. We still have a lot of duplication between the browser and the DB Manager, but that's a more general issue.
